Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc
Class JavaCodingStandardCheckerTokenManager

    java.lang.Object
      |
      +--rj.tools.jcsc.JavaCodingStandardCheckerTokenManager

All Implemented Interfaces:
  JavaCodingStandardCheckerConstants

public class JavaCodingStandardCheckerTokenManager
extends java.lang.Object
implements JavaCodingStandardCheckerConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface rj.tools.jcsc.JavaCodingStandardCheckerConstants
`_DEFAULT, ABSTRACT, ANDASSIGN, ASSERT, ASSIGN, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, GE, GOTO, GT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_JAVADOC_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, JAVADOC_COMMENT, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

Constructor Summary
`JavaCodingStandardCheckerTokenManager(JavaCharStream stream)`
`JavaCodingStandardCheckerTokenManager(JavaCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(JavaCharStream stream)`
`void` | `ReInit(JavaCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### curChar

    protected char curChar

Constructor Detail

### JavaCodingStandardCheckerTokenManager

    public JavaCodingStandardCheckerTokenManager(JavaCharStream stream)

### JavaCodingStandardCheckerTokenManager

    public JavaCodingStandardCheckerTokenManager(JavaCharStream stream,
                                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(JavaCharStream stream)

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License